--- old/usr/src/Makefile.master	Wed Apr 24 01:32:49 2019
+++ new/usr/src/Makefile.master	Wed Apr 24 01:32:49 2019
@@ -456,10 +456,6 @@
 # Unfortunately, this option can misfire very easily and unfixably.
 CERRWARN +=	-_gcc=-Wno-array-bounds
 
-# DEBUG v. -nd make for frequent unused variables, empty conditions, etc. in
-# -nd builds
-$(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused
-$(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-empty-body
 
 CERRWARN += -_smatch=-p=illumos_user
 include $(SRC)/Makefile.smatch
--- old/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Wed Apr 24 01:32:50 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Wed Apr 24 01:32:50 2019
@@ -22,7 +22,7 @@
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019, Joyent, Inc.
 #
 
 SYNCPROG=	syncinit syncloop syncstat
@@ -164,6 +164,7 @@
 if_mpadm.po		:=	XGETFLAGS += -a
 route			:=	CPPFLAGS += -DNDEBUG
 ndd			:=	LDLIBS += -ldladm -lipadm
+$(RELEASE_BUILD)ndd	:=	CERRWARN += -_gcc=-Wno-unused
 in.comsat		:=	LDFLAGS += $(MAPFILE.NGB:%=-M%)
 
 .KEEP_STATE:
--- old/usr/src/cmd/fm/fmd/Makefile.fmd	Wed Apr 24 01:32:50 2019
+++ new/usr/src/cmd/fm/fmd/Makefile.fmd	Wed Apr 24 01:32:50 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2015 RackTop Systems.
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019, Joyent, Inc.
 #
 
 .KEEP_STATE:
@@ -121,8 +121,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
-CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-clobbered
+$(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused-but-set-variable
+CERRWARN += -_gcc=-Wno-unused-variable
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/mdb/intel/Makefile.kmdb	Wed Apr 24 01:32:50 2019
+++ new/usr/src/cmd/mdb/intel/Makefile.kmdb	Wed Apr 24 01:32:50 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2018 Joyent, Inc.
+# Copyright 2019, Joyent, Inc.
 #
 
 PROMSRCS += \
@@ -56,6 +56,8 @@
 
 kaif_activate.o kaif_activate.ln := CPPFLAGS += -D_MACHDEP -D_KMEMUSER
 
+$(RELEASE_BUILD)kaif.o := CERRWARN += -_gcc=-Wno-unused
+
 STANDLIBS += \
 	../libstandctf/libstandctf.so \
 	$(SRC)/lib/libumem/$(MACHDIR)/libstandumem.so \
--- old/usr/src/cmd/sgs/libld/Makefile.com	Wed Apr 24 01:32:51 2019
+++ new/usr/src/cmd/sgs/libld/Makefile.com	Wed Apr 24 01:32:51 2019
@@ -92,6 +92,7 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-type-limits
+$(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused
 
 SMOFF += no_if_block
 
--- old/usr/src/lib/libc/amd64/Makefile	Wed Apr 24 01:32:51 2019
+++ new/usr/src/lib/libc/amd64/Makefile	Wed Apr 24 01:32:51 2019
@@ -1037,6 +1037,8 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-address
 
+$(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused
+
 # not linted
 SMATCH=off
 
--- old/usr/src/lib/libc/i386/Makefile.com	Wed Apr 24 01:32:51 2019
+++ new/usr/src/lib/libc/i386/Makefile.com	Wed Apr 24 01:32:51 2019
@@ -1085,6 +1085,8 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-address
 
+$(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused
+
 # not linted
 SMATCH=off
 
--- old/usr/src/lib/udapl/udapl_tavor/Makefile.com	Wed Apr 24 01:32:52 2019
+++ new/usr/src/lib/udapl/udapl_tavor/Makefile.com	Wed Apr 24 01:32:52 2019
@@ -22,7 +22,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019, Joyent, Inc.
 
 LIBRARY=	udapl_tavor.a
 VERS=		.1
@@ -153,11 +153,12 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-switch
 
+$(NOT_RELEASE_BUILD)CPPFLAGS += -DDAPL_DBG
+$(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused
+
 # not linted
 SMATCH=off
 
-$(NOT_RELEASE_BUILD)CPPFLAGS += -DDAPL_DBG
-
 .KEEP_STATE:
 
 all: $(LIBS)
